Loading...
Searching...
No Matches
iio.Attr Class Referenceabstract

iio.Attr class: Contains the representation of a channel or device attribute. More...

## Public Member Functions

string | read ()
| Read the value of this attribute as a `string`.
void | write (string val)
| Set this attribute to the value contained in the `string` argument.
bool | read_bool ()
| Read the value of this attribute as a `bool`.
double | read_double ()
| Read the value of this attribute as a `double`.
long | read_long ()
| Read the value of this attribute as a `long`.
void | write (bool val)
| Set this attribute to the value contained in the `bool` argument.
void | write (long val)
| Set this attribute to the value contained in the `long` argument.
void | write (double val)
| Set this attribute to the value contained in the `double` argument.

## Public Attributes

readonly string | name
| The name of this attribute.
readonly string | filename
| The filename in sysfs to which this attribute is bound.

## Detailed Description

iio.Attr class: Contains the representation of a channel or device attribute.

Examples
  ExampleProgram.cs.

## Member Function Documentation

## read()

string iio.Attr.read | ( |  | ) |

abstract

Read the value of this attribute as a `string`.

Exceptions

  System.Exception | The attribute could not be read.

Examples
  ExampleProgram.cs.

Here is the caller graph for this function:

## read_bool()

bool iio.Attr.read_bool | ( |  | ) |

inline

Read the value of this attribute as a `bool`.

Exceptions

  System.Exception | The attribute could not be read.

Here is the call graph for this function:

## read_double()

double iio.Attr.read_double | ( |  | ) |

inline

Read the value of this attribute as a `double`.

Exceptions

  System.Exception | The attribute could not be read.

Here is the call graph for this function:

## read_long()

long iio.Attr.read_long | ( |  | ) |

inline

Read the value of this attribute as a `long`.

Exceptions

  System.Exception | The attribute could not be read.

Here is the call graph for this function:
Here is the caller graph for this function:

## write() [1/4]

void iio.Attr.write | ( | bool | val | ) |

inline

Set this attribute to the value contained in the `bool` argument.

Parameters

  val | The `bool` value to set the parameter to.

Exceptions

  System.Exception | The attribute could not be written.

Here is the call graph for this function:

## write() [2/4]

void iio.Attr.write | ( | double | val | ) |

inline

Set this attribute to the value contained in the `double` argument.

Parameters

  val | The `double` value to set the parameter to.

Exceptions

  System.Exception | The attribute could not be written.

Here is the call graph for this function:

## write() [3/4]

void iio.Attr.write | ( | long | val | ) |

inline

Set this attribute to the value contained in the `long` argument.

Parameters

  val | The `long` value to set the parameter to.

Exceptions

  System.Exception | The attribute could not be written.

Here is the call graph for this function:

## write() [4/4]

void iio.Attr.write | ( | string | val | ) |

abstract

Set this attribute to the value contained in the `string` argument.

Parameters

  val | The `string` value to set the parameter to.

Exceptions

  System.Exception | The attribute could not be written.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- bindings/csharp/Attr.cs